Package org.gradle.api.artifacts.result

## Interface UnresolvedComponentResult

- All Superinterfaces:
    `ComponentResult`

      public interface UnresolvedComponentResult
      extends ComponentResult

  A component that could not be resolved.
  Since:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Throwable` | `getFailure()` | Returns the failure that occurred when trying to resolve the component.

    - ### Methods inherited from interface org.gradle.api.artifacts.result.ComponentResult

      `getId`

- - ### Method Detail

    - #### getFailure

          java.lang.Throwable getFailure()

      Returns the failure that occurred when trying to resolve the component.